Subject: bug#74082: guix-home: inconsistencies in log-files of shepherd services

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 Nov 2024 00:29:37 +0100

Hi,

Dariqq <[email-masked]> skribis:

> * gnu/home/services/desktop.scm (home-dbus-shepherd-services): Log to
> %user-log-dir.
> * gnu/home/services/desktop.scm (home-unclutter-shepherd-services): Same.
> * gnu/home/services/pm.scm (home-batsignal-shepherd-services): Same.
> * gnu/home/services/shepherd.scm (launch-shepherd-gexp): Don't overwrite
> default log-file.
>
> Change-Id: I2742371cbddd1bf4d981efc41f3eae8f148336be

[...]

> +++ b/gnu/home/services/desktop.scm
> @@ -298,6 +298,7 @@ (define (home-dbus-shepherd-services config)
>    (list (shepherd-service
>           (documentation "Run the D-Bus daemon in session-specific mode.")
>           (provision '(dbus))
> +         (modules '((shepherd support)))      ;for '%user-log-dir'
>           (start #~(make-forkexec-constructor
>                     (list #$(file-append (home-dbus-dbus config)
>                                          "/bin/dbus-daemon")
> @@ -310,10 +311,7 @@ (define (home-dbus-shepherd-services config)
>                     (cons "DBUS_VERBOSE=1"
>                           (default-environment-variables))
>                     #:log-file
> -                   (format #f "~a/log/dbus.log"
> -                           (or (getenv "XDG_STATE_HOME")
> -                               (format #f "~a/.local/state"
> -                                       (getenv "HOME"))))))
> +                   (string-append %user-log-dir "/dbus.log")))

Nicolas, can you confirm that this is what you had in mind?

At first sight it LGTM.

Ludo’.